Skip to content

Counterparties

Use these endpoints to view Counterparties. Counterparties represent external accounts when moving funds in or out of a Jiko Account. Jiko will only transfer funds between accounts where the Counterparty has status: “VERIFIED”, meaning ownership of the account has been confirmed.

Get Counterparties

Request

This endpoint allows you to list all the counterparties associated with a customer's pocket. You can filter the results by counterparty type (ach, wire, international_wire, on_us, etc.) and status (PENDING, LINKED, UNLINKED, etc.).

It returns a paginated list of Counterparty objects. The response includes a next_page token for retrieving more results.

Each Counterparty object includes an optional display_name — a custom, human-friendly label that, when set, can be shown in place of the counterparty's default name to distinguish counterparties that belong to the same legal entity.

Security
CodeBearer(Required scopes: customer.read)
Query
cursorstring(Cursor)
Default:""
limitinteger, [ 1 .. 100 ](Limit)
Default:30
typeArray of any or null(Type)
Any of:
statusArray of strings or null(Status)
Any of:
Array of strings
curl -i -X GET \
  'https://customer-api.sandbox-api.jikoservices.com/api/v2/counterparties/?cursor=&limit=30&type=ach&status=PENDING' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful Response

Bodyapplication/json
prev_pagestring or null(Prev Page)
Any of:
string
next_pagestring or null(Next Page)
Any of:
string
itemsArray of any(Items)required
object_typestring(Object Type)
Default:"CursorList"
Response
{ "prev_page": "string", "next_page": "string", "items": [ { … } ], "object_type": "CursorList" }